%global pkg_name        IO-Compress-Zlib
%global pkg_version     2.008
%global rpm_pkg_version 2.008
%global rpm_pkg_release 1.n0i.4

Summary:       Perl interface to zlib
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/P/PM/PMQS/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: rpm-build-reb00t-perl
BuildRequires: perl(Compress::Raw::Zlib)  >= %{pkg_version}
Requires:      perl(Compress::Raw::Zlib)  >= %{pkg_version}
BuildRequires: perl(IO::Compress::Base)   >= %{pkg_version}
Requires:      perl(IO::Compress::Base)   >= %{pkg_version}
BuildRequires: perl(IO::Uncompress::Base) >= %{pkg_version}
Requires:      perl(IO::Uncompress::Base) >= %{pkg_version}
BuildRequires: perl(IO::Compress::Bzip2)  >= %{pkg_version}
Requires:      perl(IO::Compress::Bzip2)  >= %{pkg_version}


%description
This module provides a Perl interface to allow reading and writing of RFC
1950, 1951, 1952 (i.e. gzip) and zip files/buffers

%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_perl_path examples/}


%build
%{perl_build}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes examples/ README


%changelog
* Tue Nov 13 2007 Marius Feraru <altblue@n0i.net> - 2.008-1.n0i.4
- version 2.008
- spec update (new reb00t build tools)

* Sun Sep 02 2007 Marius Feraru <altblue@n0i.net> - 2.006-1.n0i.3
- version 2.006

* Wed Aug 01 2007 Marius Feraru <altblue@n0i.net> - 2.005-1.n0i.2
- version 2.005

* Sun May 27 2007 Marius Feraru <altblue@n0i.net> - 2.004-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer 2.004
- version 2.004
